Несколько уязвимостей в Drupal Talk

Дата публикации:
23.09.2008
Всего просмотров:
1930
Опасность:
Низкая
Наличие исправления:
Да
Количество уязвимостей:
1
CVSSv2 рейтинг:
CVE ID:
CVE-2008-4152
CVE-2008-4153
Вектор эксплуатации:
Удаленная
Воздействие:
Межсайтовый скриптинг
Обход ограничений безопасности
CWE ID:
Нет данных
Наличие эксплоита:
Нет данных
Уязвимые продукты:
Talk 5.x (модуль к Drupal)
Talk 6.x (модуль к Drupal)
Уязвимые версии: Talk (модуль к Drupal) версии до 5.x-1.3 и 6.x-1.5

Описание:
Обнаруженные уязвимости позволяют удаленному пользователю произвести XSS нападение и обойти некоторые ограничения безопасности.

1. Уязвимость существует из-за недостаточной обработки входных данных. Удаленный пользователь может с помощью специально сформированного запроса выполнить произвольный код сценария в браузере жертвы в контексте безопасности уязвимого сайта. Для успешной эксплуатации уязвимости атакующему требуются действительные привилегии в приложении.

2. Уязвимость существует из-за недостаточного ограничения доступа при просмотре компонентов. Удаленный пользователь может просмотреть комментарии к узлу не имея достаточных привилегий доступа.

URL производителя: drupal.org/project/talk

Решение: Установите последнюю версию 5.x-1.3 или 6.x-1.5 с сайта производителя.

Ссылки: http://drupal.org/node/309758

или введите имя

CAPTCHA